Click or drag to resize

BrepTrimListAddSingularTrim Method

Add a new singular trim to the brep.

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public BrepTrim AddSingularTrim(
	BrepVertex vertex,
	BrepLoop loop,
	IsoStatus iso,
	int curve2dIndex
)

Parameters

vertex
Type: Rhino.GeometryBrepVertex
vertex along collapsed surface edge
loop
Type: Rhino.GeometryBrepLoop
trim is appended to this loop
iso
Type: Rhino.GeometryIsoStatus

[Missing <param name="iso"/> documentation for "M:Rhino.Geometry.Collections.BrepTrimList.AddSingularTrim(Rhino.Geometry.BrepVertex,Rhino.Geometry.BrepLoop,Rhino.Geometry.IsoStatus,System.Int32)"]

curve2dIndex
Type: SystemInt32
index of 2d trimming curve

Return Value

Type: BrepTrim
new trim
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also